<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>jarray.h</name>
    <path>/home/metlov/metlov/jplus/src/</path>
    <filename>jarray_8h</filename>
    <class kind="class">jarray</class>
    <class kind="struct">jarray::Z</class>
    <class kind="struct">jarray::header</class>
    <class kind="struct">jarray::MS</class>
    <class kind="class">jarray_of_type</class>
    <member kind="function">
      <type>std::ostream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>jarray_8h.html</anchorfile>
      <anchor>a410832166c2b846af45c3cb2533ea69e</anchor>
      <arglist>(std::ostream &amp;stream, const jarray &amp;array)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>jengine.h</name>
    <path>/home/metlov/metlov/jplus/src/</path>
    <filename>jengine_8h</filename>
    <includes id="jengine_8h" name="jengine.h" local="yes" imported="no">util.h</includes>
    <class kind="class">jengine</class>
  </compound>
  <compound kind="file">
    <name>jplus.h</name>
    <path>/home/metlov/metlov/jplus/src/</path>
    <filename>jplus_8h</filename>
    <includes id="jplus_8h" name="jplus.h" local="yes" imported="no">jengine.h</includes>
    <includes id="util_8h" name="util.h" local="yes" imported="no">util.h</includes>
    <includes id="jarray_8h" name="jarray.h" local="yes" imported="no">jarray.h</includes>
    <class kind="class">jplus</class>
  </compound>
  <compound kind="file">
    <name>trjfile.h</name>
    <path>/home/metlov/metlov/jplus/src/</path>
    <filename>trjfile_8h</filename>
    <class kind="class">trjfile</class>
  </compound>
  <compound kind="file">
    <name>util.h</name>
    <path>/home/metlov/metlov/jplus/src/</path>
    <filename>util_8h</filename>
    <member kind="define">
      <type>#define</type>
      <name>fftw</name>
      <anchorfile>util_8h.html</anchorfile>
      <anchor>acec2e5b8e47e6ecb3b84b9508711cd4a</anchor>
      <arglist>(name)</arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>TYPE_STR</name>
      <anchorfile>util_8h.html</anchorfile>
      <anchor>ac8135ebece7dbba8045f811da60dfbb9</anchor>
      <arglist></arglist>
    </member>
    <member kind="define">
      <type>#define</type>
      <name>_stdcall</name>
      <anchorfile>util_8h.html</anchorfile>
      <anchor>a3107b1d0ca10d4ae4575d9107d4cbffe</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>double</type>
      <name>Real</name>
      <anchorfile>util_8h.html</anchorfile>
      <anchor>a445a5f0e2a34c9d97d69a3c2d1957907</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>std::complex&lt; double &gt;</type>
      <name>Cmplx</name>
      <anchorfile>util_8h.html</anchorfile>
      <anchor>af45ce55d35fd3b57ba32aca2219d578a</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>long double</type>
      <name>lReal</name>
      <anchorfile>util_8h.html</anchorfile>
      <anchor>a23905158629b853f92d006bcabd6cce2</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>parseint</name>
      <anchorfile>util_8h.html</anchorfile>
      <anchor>ae428094ea3ba3ad60b234dbf5c8ef63d</anchor>
      <arglist>(char *str, int &amp;res)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>parsepositiveint</name>
      <anchorfile>util_8h.html</anchorfile>
      <anchor>a290a59a6d73aece4d3b8e832dbb01436</anchor>
      <arglist>(char *str, int &amp;res)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>parsedouble</name>
      <anchorfile>util_8h.html</anchorfile>
      <anchor>af0e07c5efb77d943c988d61c00003436</anchor>
      <arglist>(char *str, double &amp;res)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>parsepositivedouble</name>
      <anchorfile>util_8h.html</anchorfile>
      <anchor>a7673c1964278aaea8b4de548d00621b9</anchor>
      <arglist>(char *str, double &amp;res)</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>sha1tostring</name>
      <anchorfile>util_8h.html</anchorfile>
      <anchor>a730c254df74f4c0e8fdffb59fce8fc77</anchor>
      <arglist>(SHA1 &amp;sha1)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>tol_eq</name>
      <anchorfile>util_8h.html</anchorfile>
      <anchor>af62ae24ff10ec1a32fc89574cd85459c</anchor>
      <arglist>(double a, double b)</arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>yacts.h</name>
    <path>/home/metlov/metlov/jplus/src/</path>
    <filename>yacts_8h</filename>
    <includes id="yacts_8h" name="yacts.h" local="yes" imported="no">jplus.h</includes>
    <includes id="jengine_8h" name="jengine.h" local="yes" imported="no">jengine.h</includes>
    <class kind="class">yacts</class>
  </compound>
  <compound kind="class">
    <name>jarray</name>
    <filename>classjarray.html</filename>
    <class kind="struct">jarray::header</class>
    <class kind="struct">jarray::MS</class>
    <class kind="struct">jarray::Z</class>
    <member kind="enumeration">
      <name>errorType</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>a07f1f39e00d99c0c4c1561ef5b261a75</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ERR_CONV</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>a07f1f39e00d99c0c4c1561ef5b261a75a11258d825bf75476bd700feb3a4515c0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>ERR_SHAPE</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>a07f1f39e00d99c0c4c1561ef5b261a75a25fb7137249b34f0c64b8f20bc4b0d94</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>elementType</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>ace6f7d65f8519c992a7896145dc602f7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>T_B01</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>ace6f7d65f8519c992a7896145dc602f7a7cd92f3b07ca1743d98aad29f7b50a44</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>T_LIT</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>ace6f7d65f8519c992a7896145dc602f7a89e89fce5fe00cff757a97086743ef79</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>T_INT</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>ace6f7d65f8519c992a7896145dc602f7afdf9da7248c939545e5daefd73eab58d</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>T_FL</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>ace6f7d65f8519c992a7896145dc602f7a36fb7b6d65d134c137dc36a5b0de5190</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>T_CMPX</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>ace6f7d65f8519c992a7896145dc602f7aebde38b84ba4a766c8672e73b2820d08</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>char</type>
      <name>B</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>a8d1abd9e819a6da5bfe556605c9eec30</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>char</type>
      <name>C</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>ab756c2602d1267e266156a7aa4d9d4e5</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>short</type>
      <name>S</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>a9170df6252af213587e083074c194b84</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>long</type>
      <name>I</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>a03cba7eced2130241c43fb011293a547</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>double</type>
      <name>D</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>a12148e9b3b8efde496e96265770d68d4</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>I</type>
      <name>getRefcount</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>a2d72136a935d2bb916cb17ae69afcb91</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>a5ce838bebe6d31ff201854198ab909ee</anchor>
      <arglist>(T &amp;v, const int i) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>set</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>a1f122507d48e4aab0d91bf838bddba14</anchor>
      <arglist>(const int i, const T v)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>a6dbbbccafa93effdb648aaefc26b2eec</anchor>
      <arglist>(std::vector&lt; T &gt; &amp;v) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>get</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>a6182268bc1fcbe749cbbcfcf2b624af0</anchor>
      <arglist>(T &amp;v)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>jarray</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>ac01a0173fdf45643d9720fe15fecd80c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>jarray</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>a5823bb57e7ef1b4102b05a849301eb41</anchor>
      <arglist>(std::istream &amp;in)</arglist>
    </member>
    <member kind="function">
      <type>jarray::I</type>
      <name>esize</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>a23355bd19c453fd01b8db636a5fc8eec</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addhash</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>ae3f6cc64d6a7fa67ea40f82a50e03afe</anchor>
      <arglist>(SHA1 &amp;sha)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>write</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>a3faa0828c6eac59769ba400e0b572a98</anchor>
      <arglist>(std::ostream &amp;out)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>ab616c6397bcf4956bd6de8147a1af37d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const I</type>
      <name>type</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>a8b6afcb92b6cd31470195f7c1532da15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const I</type>
      <name>rank</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>a745571329a255559138566f78c81e539</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>I *</type>
      <name>shape</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>a7ebe36853a926ad6513206a58e33f82b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>extent</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>ad9a965f43ae655920f6478fd76e91ff1</anchor>
      <arglist>(int dimension) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>shape</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>a29cad20c1a8b9c1d3fbc573067f80f8c</anchor>
      <arglist>(std::vector&lt; I &gt; &amp;shape) const </arglist>
    </member>
    <member kind="function">
      <type>const int</type>
      <name>size</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>ae26839682120c114889532f5e3aea623</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>I *</type>
      <name>data</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>a7c3ea56c27ce533ad92507948d82cc4e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>jarray</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>a6f956d4be6e2101991fbb4eda512414d</anchor>
      <arglist>(void *hdr_)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>jarray</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>ab7564d5ab35e00e25240e3750ebf8eef</anchor>
      <arglist>(elementType type, I rank, I *shape)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>jarray</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>ab8ebe447f790a3b5e3c5a0d2d538a4e0</anchor>
      <arglist>(elementType type, const std::vector&lt; I &gt; &amp;shape)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>jarray</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>a68b3dafbcd21a017c49ab7479c9ec261</anchor>
      <arglist>(const std::string &amp;str)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>jarray</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>af1706c04b79fd5aed1cfb77dbcc46b76</anchor>
      <arglist>(const jarray &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>jarray &amp;</type>
      <name>assign</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>a7183ff5c0b142c1567e8bc0264fa8e27</anchor>
      <arglist>(const jarray &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>jarray &amp;</type>
      <name>operator=</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>a59a12b4134085072b3ea8c5660690b36</anchor>
      <arglist>(const jarray &amp;other)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>afd1a5e29e0c9bec00b244f556d4ffba5</anchor>
      <arglist>(const jarray &amp;rhs) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~jarray</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>a629a85ec49d503164ac9e35678aefe09</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static jarray::I</type>
      <name>esize</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>af175f9598d6271c699564ae0cf8e93d8</anchor>
      <arglist>(elementType type)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>allocate</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>ac3ba883a2c78401cf960804749da8e07</anchor>
      <arglist>(elementType type, const I rank, const I *shape)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>grab</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>afaa7c20c5eb664d8df6a74acad9fb65c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>release</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>aad54991b1d591aeecede4ce47b0c0823</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>I</type>
      <name>getHeader</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>a5e71f452e09ff58f8e17cad9936d1879</anchor>
      <arglist>(bool give_up_ownership=true) const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>header *</type>
      <name>hdr</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>ad459be01f527673b14b3eb31f4e93313</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>jengine</name>
      <anchorfile>classjarray.html</anchorfile>
      <anchor>aaea7a0446a6dd6c29ff6556dd8973399</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>jarray::header</name>
    <filename>structjarray_1_1header.html</filename>
    <member kind="variable">
      <type>I</type>
      <name>offset</name>
      <anchorfile>structjarray_1_1header.html</anchorfile>
      <anchor>a72c4c332e9891bbd51730e8b6d47c076</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>I</type>
      <name>flag</name>
      <anchorfile>structjarray_1_1header.html</anchorfile>
      <anchor>adeb09260a477c348be1652010aedd4e9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>I</type>
      <name>maxbytes</name>
      <anchorfile>structjarray_1_1header.html</anchorfile>
      <anchor>a932b50f69f9a00112a1035fdaa78a85d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>I</type>
      <name>type</name>
      <anchorfile>structjarray_1_1header.html</anchorfile>
      <anchor>a47a4b4eb082086e671dd2081b2eedc17</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>I</type>
      <name>refcnt</name>
      <anchorfile>structjarray_1_1header.html</anchorfile>
      <anchor>a775bdc879073495f65e392fc2fc96c3e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>I</type>
      <name>n</name>
      <anchorfile>structjarray_1_1header.html</anchorfile>
      <anchor>a98a120f792dfd76c171e1e0f343e78f2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>I</type>
      <name>rank</name>
      <anchorfile>structjarray_1_1header.html</anchorfile>
      <anchor>a6209b0f5b622f0fab2f2abd192974d7a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>I</type>
      <name>shape</name>
      <anchorfile>structjarray_1_1header.html</anchorfile>
      <anchor>a6ce7d8eac37c2fb33fd082f4f8526a6d</anchor>
      <arglist>[1]</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>jarray::MS</name>
    <filename>structjarray_1_1_m_s.html</filename>
    <member kind="variable">
      <type>I *</type>
      <name>a</name>
      <anchorfile>structjarray_1_1_m_s.html</anchorfile>
      <anchor>aa15e96d9af743af13847830b6c6e4f3a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>S</type>
      <name>j</name>
      <anchorfile>structjarray_1_1_m_s.html</anchorfile>
      <anchor>aac4acc156147009b78a1277c433190f1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>C</type>
      <name>mflag</name>
      <anchorfile>structjarray_1_1_m_s.html</anchorfile>
      <anchor>aaf4c99860edd16e197dcbeea89d99638</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>C</type>
      <name>unused</name>
      <anchorfile>structjarray_1_1_m_s.html</anchorfile>
      <anchor>aa592a862b851ab82b13da67312b9eb9c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>jarray::Z</name>
    <filename>structjarray_1_1_z.html</filename>
    <member kind="variable">
      <type>D</type>
      <name>re</name>
      <anchorfile>structjarray_1_1_z.html</anchorfile>
      <anchor>acc666ca7a18e0b4ba575f251ccbad6d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>D</type>
      <name>im</name>
      <anchorfile>structjarray_1_1_z.html</anchorfile>
      <anchor>a094d6e6ebc8bfa2745f9819ab8e3f3fb</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>jarray_of_type</name>
    <filename>classjarray__of__type.html</filename>
    <templarg></templarg>
    <base>jarray</base>
    <member kind="function">
      <type></type>
      <name>jarray_of_type</name>
      <anchorfile>classjarray__of__type.html</anchorfile>
      <anchor>a55518dd9b7c3216ef0f10c4bc2c2364d</anchor>
      <arglist>(const jarray &amp;ja)</arglist>
    </member>
    <member kind="function">
      <type>T &amp;</type>
      <name>operator[]</name>
      <anchorfile>classjarray__of__type.html</anchorfile>
      <anchor>a0a0ae1e77a83a43c72c53a238cd411a7</anchor>
      <arglist>(const I i)</arglist>
    </member>
    <member kind="function">
      <type>const T &amp;</type>
      <name>operator[]</name>
      <anchorfile>classjarray__of__type.html</anchorfile>
      <anchor>a35f46d414c3e1a6781926386144e6132</anchor>
      <arglist>(const I i) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>jarray_of_type</name>
      <anchorfile>classjarray__of__type.html</anchorfile>
      <anchor>a6d6abc36b4d2c8d4077d567a71cfdbb5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>jarray_of_type</name>
      <anchorfile>classjarray__of__type.html</anchorfile>
      <anchor>a80cdb1e11af285e9190b769f725a9641</anchor>
      <arglist>(const I l0)</arglist>
    </member>
    <member kind="function">
      <type>T &amp;</type>
      <name>operator()</name>
      <anchorfile>classjarray__of__type.html</anchorfile>
      <anchor>ad64b50024f0a18a76c9833994e498659</anchor>
      <arglist>(const I i0)</arglist>
    </member>
    <member kind="function">
      <type>const T &amp;</type>
      <name>operator()</name>
      <anchorfile>classjarray__of__type.html</anchorfile>
      <anchor>a7d5fc31ae36a81119731900b04105ebc</anchor>
      <arglist>(const I i0) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>jarray_of_type</name>
      <anchorfile>classjarray__of__type.html</anchorfile>
      <anchor>a414fe5302ba85c3752d04ff3c0813046</anchor>
      <arglist>(const I l0, const I l1)</arglist>
    </member>
    <member kind="function">
      <type>T &amp;</type>
      <name>operator()</name>
      <anchorfile>classjarray__of__type.html</anchorfile>
      <anchor>a89009a14e3c962d42c0b1110b2b64445</anchor>
      <arglist>(const I i0, const I i1)</arglist>
    </member>
    <member kind="function">
      <type>const T &amp;</type>
      <name>operator()</name>
      <anchorfile>classjarray__of__type.html</anchorfile>
      <anchor>ad94b5a5a12e303e80deb8663a3058fc6</anchor>
      <arglist>(const I i0, const I i1) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>jarray_of_type</name>
      <anchorfile>classjarray__of__type.html</anchorfile>
      <anchor>a562c3a23b29ce7676c0de28d70d1fe12</anchor>
      <arglist>(const I l0, const I l1, const I l2)</arglist>
    </member>
    <member kind="function">
      <type>T &amp;</type>
      <name>operator()</name>
      <anchorfile>classjarray__of__type.html</anchorfile>
      <anchor>a748d37ed3933c1daa5da63ac9cd22e52</anchor>
      <arglist>(const I i0, const I i1, const I i2)</arglist>
    </member>
    <member kind="function">
      <type>const T &amp;</type>
      <name>operator()</name>
      <anchorfile>classjarray__of__type.html</anchorfile>
      <anchor>ab42e0f26882018b78cc2bb3863c58a6c</anchor>
      <arglist>(const I i0, const I i1, const I i2) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>jarray_of_type</name>
      <anchorfile>classjarray__of__type.html</anchorfile>
      <anchor>a340cb18c807d2d6397693322f425e61c</anchor>
      <arglist>(const I l0, const I l1, const I l2, const I l3)</arglist>
    </member>
    <member kind="function">
      <type>T &amp;</type>
      <name>operator()</name>
      <anchorfile>classjarray__of__type.html</anchorfile>
      <anchor>a081181943b645fffa5925ee6c8c1b674</anchor>
      <arglist>(const I i0, const I i1, const I i2, const I i3)</arglist>
    </member>
    <member kind="function">
      <type>const T &amp;</type>
      <name>operator()</name>
      <anchorfile>classjarray__of__type.html</anchorfile>
      <anchor>a08edc71eadde2cb274803522dde64798</anchor>
      <arglist>(const I i0, const I i1, const I i2, const I i3) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>jarray_of_type</name>
      <anchorfile>classjarray__of__type.html</anchorfile>
      <anchor>aaf1c2bc2dfde38a98f92c5483adf10ba</anchor>
      <arglist>(const I l0, const I l1, const I l2, const I l3, const I l4)</arglist>
    </member>
    <member kind="function">
      <type>T &amp;</type>
      <name>operator()</name>
      <anchorfile>classjarray__of__type.html</anchorfile>
      <anchor>a739d97291c5b9708b6c713038a8acec3</anchor>
      <arglist>(const I i0, const I i1, const I i2, const I i3, const I i4)</arglist>
    </member>
    <member kind="function">
      <type>const T &amp;</type>
      <name>operator()</name>
      <anchorfile>classjarray__of__type.html</anchorfile>
      <anchor>aab155346bfd435ec4aade8c53bc9284d</anchor>
      <arglist>(const I i0, const I i1, const I i2, const I i3, const I i4) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>jarray_of_type</name>
      <anchorfile>classjarray__of__type.html</anchorfile>
      <anchor>a08c7d99ba58ac4a68b1c3c155041c61d</anchor>
      <arglist>(const I rank, const I *shape)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>jarray_of_type</name>
      <anchorfile>classjarray__of__type.html</anchorfile>
      <anchor>a9d04b50acc503dc191539e9e1ebd8188</anchor>
      <arglist>(const std::vector&lt; I &gt; &amp;shape)</arglist>
    </member>
    <member kind="function">
      <type>T &amp;</type>
      <name>operator()</name>
      <anchorfile>classjarray__of__type.html</anchorfile>
      <anchor>a1132f57b513bfbde2c2abc6cd7ff9308</anchor>
      <arglist>(const std::vector&lt; I &gt; &amp;subscripts)</arglist>
    </member>
    <member kind="function">
      <type>const T &amp;</type>
      <name>operator()</name>
      <anchorfile>classjarray__of__type.html</anchorfile>
      <anchor>a88629a471c31c5965956a0d3b46f7d80</anchor>
      <arglist>(const std::vector&lt; I &gt; &amp;subscripts) const </arglist>
    </member>
    <member kind="function">
      <type>T &amp;</type>
      <name>operator()</name>
      <anchorfile>classjarray__of__type.html</anchorfile>
      <anchor>a009a1f64ede57746f65988415ee70d05</anchor>
      <arglist>(const I *subscripts)</arglist>
    </member>
    <member kind="function">
      <type>const T &amp;</type>
      <name>operator()</name>
      <anchorfile>classjarray__of__type.html</anchorfile>
      <anchor>a766cd6b2a43a77fee28a380eb800b55e</anchor>
      <arglist>(const I *subscripts) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>jengine</name>
    <filename>classjengine.html</filename>
    <member kind="typedef">
      <type>jarray(*</type>
      <name>monad</name>
      <anchorfile>classjengine.html</anchorfile>
      <anchor>aa9827ee0c4c393f4477b8c3b221d445b</anchor>
      <arglist>)(jarray y)</arglist>
    </member>
    <member kind="typedef">
      <type>jarray(*</type>
      <name>dyad</name>
      <anchorfile>classjengine.html</anchorfile>
      <anchor>a0d73a6d0428009bbe4692e516af7d8fe</anchor>
      <arglist>)(jarray x, jarray y)</arglist>
    </member>
    <member kind="typedef">
      <type>jarray(*</type>
      <name>amonad</name>
      <anchorfile>classjengine.html</anchorfile>
      <anchor>ae6118719999c90bc41fe28159f36e562</anchor>
      <arglist>)(monad um, dyad ud, jarray y)</arglist>
    </member>
    <member kind="typedef">
      <type>jarray(*</type>
      <name>adyad</name>
      <anchorfile>classjengine.html</anchorfile>
      <anchor>a542eee97d765cb1138efb87a657dc82b</anchor>
      <arglist>)(monad um, dyad ud, jarray x, jarray y)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>jengine</name>
      <anchorfile>classjengine.html</anchorfile>
      <anchor>a52eb9eb1c0e7c6386e754d9938f87918</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~jengine</name>
      <anchorfile>classjengine.html</anchorfile>
      <anchor>a4c7b8f7cac52b12041acbfb78f4e2b77</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>doJ</name>
      <anchorfile>classjengine.html</anchorfile>
      <anchor>a54d8ab569dfea452bec5c43e8f930c9b</anchor>
      <arglist>(const std::string s)</arglist>
    </member>
    <member kind="function">
      <type>const jarray</type>
      <name>get</name>
      <anchorfile>classjengine.html</anchorfile>
      <anchor>a5e6373ce119db1896c76c6038f584d11</anchor>
      <arglist>(const std::string name)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>set</name>
      <anchorfile>classjengine.html</anchorfile>
      <anchor>a9a40ddbafbe0bb7702191476d50624ae</anchor>
      <arglist>(const std::string name, jarray &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getError</name>
      <anchorfile>classjengine.html</anchorfile>
      <anchor>af99bf8c6e883d24fdb6b736021429d1b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>ok</name>
      <anchorfile>classjengine.html</anchorfile>
      <anchor>afe02e6536b3507fd0fcfb6b72a17706b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>defVerb</name>
      <anchorfile>classjengine.html</anchorfile>
      <anchor>af461c1773bcb5b226923971b17d66288</anchor>
      <arglist>(std::string name, monad mf, dyad df, int mr=RMAX, int lr=RMAX, int rr=RMAX)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>defAdverb</name>
      <anchorfile>classjengine.html</anchorfile>
      <anchor>a258e29ddd3adae485f0e212f7592a855</anchor>
      <arglist>(std::string name, amonad mf, adyad df)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>defScript</name>
      <anchorfile>classjengine.html</anchorfile>
      <anchor>aba0022f6dde92252096354891a2c06d7</anchor>
      <arglist>(std::string name, int type, std::string code, int mr=jengine::RMAX, int lr=jengine::RMAX, int rr=jengine::RMAX)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isBuiltin</name>
      <anchorfile>classjengine.html</anchorfile>
      <anchor>a5ff04fa146dcb7b6bb8a3c69c47f9f6a</anchor>
      <arglist>(std::string name) const </arglist>
    </member>
    <member kind="function">
      <type>std::set&lt; std::string &gt;</type>
      <name>getBuiltins</name>
      <anchorfile>classjengine.html</anchorfile>
      <anchor>aaf9f572aa5ae3c73dfb216e985b6dc69</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>initJlibrary</name>
      <anchorfile>classjengine.html</anchorfile>
      <anchor>a468c80ad7aa436c2f6a36b165017b2d9</anchor>
      <arglist>(std::ostream &amp;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static jarray::I</type>
      <name>PROLOG</name>
      <anchorfile>classjengine.html</anchorfile>
      <anchor>acef9e198a27abb4571e1f8b05e181088</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static jarray::I</type>
      <name>EPILOG</name>
      <anchorfile>classjengine.html</anchorfile>
      <anchor>aa1143b34618bbc2a611a4b1eb2680c36</anchor>
      <arglist>(jarray::I oldtop)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const int</type>
      <name>RMAX</name>
      <anchorfile>classjengine.html</anchorfile>
      <anchor>a278853ac97f432219e3cac48f182fb3f</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static void *</type>
      <name>GA</name>
      <anchorfile>classjengine.html</anchorfile>
      <anchor>a8ccb4b2e962e2e79400a945fbe3c6067</anchor>
      <arglist>(const jarray::I t, const jarray::I n, const jarray::I r, const jarray::I *s)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static void</type>
      <name>FR</name>
      <anchorfile>classjengine.html</anchorfile>
      <anchor>aa088c0f1a8e481473d3295dcc84f3171</anchor>
      <arglist>(void *hdr)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static bool</type>
      <name>isInitialized</name>
      <anchorfile>classjengine.html</anchorfile>
      <anchor>a179b7bc8e567cab0abbd8c9cc1df20ca</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>jarray</name>
      <anchorfile>classjengine.html</anchorfile>
      <anchor>af4398fcac8d897318ef001c91d35356f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>jplus</name>
    <filename>classjplus.html</filename>
    <base>jengine</base>
    <member kind="function">
      <type></type>
      <name>jplus</name>
      <anchorfile>classjplus.html</anchorfile>
      <anchor>aab0d447b6b62f66ee83eaa8a44fcd340</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>init</name>
      <anchorfile>classjplus.html</anchorfile>
      <anchor>a55f53bd8d3ff68977a4569c2927ba0cb</anchor>
      <arglist>(std::istream &amp;script)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~jplus</name>
      <anchorfile>classjplus.html</anchorfile>
      <anchor>ac9577e857d3934cd4c48ef1a3ebbb604</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>set</name>
      <anchorfile>classjplus.html</anchorfile>
      <anchor>a3b0f6fe1582a0ccf41343cdd1172a233</anchor>
      <arglist>(std::string name, jarray data)</arglist>
    </member>
    <member kind="function">
      <type>jarray</type>
      <name>get</name>
      <anchorfile>classjplus.html</anchorfile>
      <anchor>a47c78b9d024cbd761f4ffce204e4cd66</anchor>
      <arglist>(std::string name)</arglist>
    </member>
    <member kind="function">
      <type>std::vector&lt; std::string &gt;</type>
      <name>getProgram</name>
      <anchorfile>classjplus.html</anchorfile>
      <anchor>a1cae9fc7a0d7487216530e48f8c467e3</anchor>
      <arglist>(std::set&lt; std::string &gt; vars)</arglist>
    </member>
    <member kind="function">
      <type>std::vector&lt; std::string &gt;</type>
      <name>getProgram</name>
      <anchorfile>classjplus.html</anchorfile>
      <anchor>af749f3c36b70fb261fe9acbdd43a6588</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>libInit</name>
      <anchorfile>classjplus.html</anchorfile>
      <anchor>abfbe2b2811e07190341c6d0af7c9bb54</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>trjfile</name>
    <filename>classtrjfile.html</filename>
    <member kind="function">
      <type></type>
      <name>trjfile</name>
      <anchorfile>classtrjfile.html</anchorfile>
      <anchor>a75e79f163b4fd3c09498329444fe675c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>open</name>
      <anchorfile>classtrjfile.html</anchorfile>
      <anchor>a51ece01114f0517363675eeed90bf413</anchor>
      <arglist>(std::string path, bool create=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>close</name>
      <anchorfile>classtrjfile.html</anchorfile>
      <anchor>a5ee8f2fb09bbabd25057b2abe21c9338</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>good</name>
      <anchorfile>classtrjfile.html</anchorfile>
      <anchor>a2142fbc6b8aed618a2b865be62864622</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>saveFrame</name>
      <anchorfile>classtrjfile.html</anchorfile>
      <anchor>a1ce22d240bd15c7db9bdba9cfbe759cc</anchor>
      <arglist>(const int neq, const double &amp;T, const double *data)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasNextFrame</name>
      <anchorfile>classtrjfile.html</anchorfile>
      <anchor>ad7f8b3dac62ad9d6e14039a3c7cb8a8a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getNEQ</name>
      <anchorfile>classtrjfile.html</anchorfile>
      <anchor>a2a25e7e59cc15ea7213f563a59baa995</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>loadFrame</name>
      <anchorfile>classtrjfile.html</anchorfile>
      <anchor>a9e11af504f5d228f529fc0fa4fb63aa6</anchor>
      <arglist>(double &amp;T, double *data)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchorfile>classtrjfile.html</anchorfile>
      <anchor>a11ef7a0647d7ca35d129d33e09615e7e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>toFrame</name>
      <anchorfile>classtrjfile.html</anchorfile>
      <anchor>a96b1d04f86934ed4c5d620e06a01b725</anchor>
      <arglist>(int frame)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>std::streampos</type>
      <name>header_size</name>
      <anchorfile>classtrjfile.html</anchorfile>
      <anchor>adcf30772c9c9803b9d24c116ec37c5b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>std::streampos</type>
      <name>frame_size</name>
      <anchorfile>classtrjfile.html</anchorfile>
      <anchor>abdaaf02f688bae1cb94fe9296bb9d167</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setHeader</name>
      <anchorfile>classtrjfile.html</anchorfile>
      <anchor>a8dda2b04375828419bb9598d32523f58</anchor>
      <arglist>(int id, int neq)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>neq</name>
      <anchorfile>classtrjfile.html</anchorfile>
      <anchor>a1363fe2b77e2d196ab7452fadd5166d7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>std::fstream</type>
      <name>trj</name>
      <anchorfile>classtrjfile.html</anchorfile>
      <anchor>a653dae9d2260250725c608bb3ea8b110</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>yacts</name>
    <filename>classyacts.html</filename>
    <base>jplus</base>
    <base protection="protected">trjfile</base>
    <member kind="function">
      <type></type>
      <name>yacts</name>
      <anchorfile>classyacts.html</anchorfile>
      <anchor>a28a385ad8326bb71b615eecfeb2a9f7c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>init</name>
      <anchorfile>classyacts.html</anchorfile>
      <anchor>a30e7936d49b72602cc460f507e3ede0a</anchor>
      <arglist>(std::istream &amp;script)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~yacts</name>
      <anchorfile>classyacts.html</anchorfile>
      <anchor>a54ecded692db31e8ecf7c30b19a47533</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>libInit</name>
      <anchorfile>classyacts.html</anchorfile>
      <anchor>af0840a4cd0528b4d753731380d9ab949</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setOut</name>
      <anchorfile>classyacts.html</anchorfile>
      <anchor>a5d985164d26d022e7fdcd0e46a40cfae</anchor>
      <arglist>(std::string newOut)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>REPL</name>
      <anchorfile>classyacts.html</anchorfile>
      <anchor>a0ceda9fdcefac08b7d977f62b164896b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>getTrajectoryFilenameBase</name>
      <anchorfile>classyacts.html</anchorfile>
      <anchor>a8a197f05d7db53195e86b7b8ca44c1a1</anchor>
      <arglist>(std::string prefix)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>initTrajectory</name>
      <anchorfile>classyacts.html</anchorfile>
      <anchor>a17ad1a9a23123c2aa032e1106aeea919</anchor>
      <arglist>(std::string prefix)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>size</name>
      <anchorfile>classyacts.html</anchorfile>
      <anchor>aa9d6511315a46ea073248e12529f9055</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setFrame</name>
      <anchorfile>classyacts.html</anchorfile>
      <anchor>aee72e97b11cee7531672f973f176913c</anchor>
      <arglist>(int iframe)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasNextFrameStored</name>
      <anchorfile>classyacts.html</anchorfile>
      <anchor>a73e003a14afac3c1deb4d56ce785ce85</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>nextFrame</name>
      <anchorfile>classyacts.html</anchorfile>
      <anchor>a93cb877ee06b9d8ba5bd5bd0ebf3bdee</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>process</name>
      <anchorfile>classyacts.html</anchorfile>
      <anchor>a7c83fcab08bd47973440bd3a9e4b1096</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend">
      <type>friend int</type>
      <name>runTests</name>
      <anchorfile>classyacts.html</anchorfile>
      <anchor>a2dcdccc8a8ededb7804d00ba921edb73</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
